import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanCityLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
interface AdDeliveryPlanCityLotCU extends ConditionUtil<AdDeliveryPlanCityLotCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanCityLotCU>;
    CITY_ID: FieldUtil<AdDeliveryPlanCityLotCU>;
    LOT_ID: FieldUtil<AdDeliveryPlanCityLotCU>;
    DEL_FLAG: FieldUtil<AdDeliveryPlanCityLotCU>;
}
declare class AdDeliveryPlanCityLotMU extends TableUtilImpl<AdDeliveryPlanCityLotCU, AdDeliveryPlanCityLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanCityLotCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    static get CITY_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    static get LOT_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityLotCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    get CITY_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    get LOT_ID(): FieldUtil<AdDeliveryPlanCityLotCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityLotCU>;
}
export { AdDeliveryPlanCityLotMU, AdDeliveryPlanCityLotCU };
